/**********************************************************************
Copyright (c) 2002 TJDO and others. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

Contributors:
    Erik Bengtson - extends ObjectIdFieldManager
    ...
**********************************************************************/

package org.jpox.store.fieldmanager;

/**
 * Provide methods to fetch from and to the PersistenceCapable object
 * instance to the StateManager / DataStore
 * 
 * @see javax.jdo.spi.PersistenceCapable.ObjectIdFieldManager
 * @version $Revision: 1.2 $ 
 */
public interface FieldManager extends javax.jdo.spi.PersistenceCapable.ObjectIdFieldManager
{
	/*
	 * extends javax.jdo.spi.PersistenceCapable.ObjectIdFieldManager
	 * which provides methods for fetch and store fields from the PC instance  
	 */
}
